MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023533Community[OCCT] OCCT:Modeling Algorithmspublic2012-11-09 15:332013-04-29 15:23
ReporterPawel 
Assigned Toomy 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2005OS Version32 bit
Product Version[OCCT] 6.5.4 
Target Version[OCCT] 6.6.0Fixed in Version[OCCT] 6.6.0 
Summary0023533: Unitialized variables used, IntTools_TopolTool.cxx
DescriptionThe variable 'nbsu' is used uninitialized in lines 136 and 169.
TagsNo tags attached.
Test case numberbugs fclasses(002) buc60724
Attached Files

- Relationships
parent of 0023534closedomy Unitialized variables used, ShapeAnalysis_TransferParameters.cxx 
parent of 0023538closedomy Memory leak: cdata 
parent of 0023557closedomy V547 Expression 'as1.ToCString() != ""' is always true. To compare strings you should use strcmp() function. qabugs_3.cxx, 
parent of 0023537closedomy Uninitialized variable: MaxUserColor 

-  Notes
(0023492)
omy (developer)
2013-02-26 17:56

Dear abv,
Fixes for this bug and all of its children have been integrated
into branch CR23533.
Please, review.
(0023495)
abv (manager)
2013-02-27 07:58

Reviewed (command and est bugs fclasses buc60724 corrected); please test
(0023526)
mkv (tester)
2013-02-28 15:14

Dear BugMaster,

Branch CR23533 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 7a34b32755554b2e7f76bc9f40f7f63258ccf2ec

Number of compiler warnings:

occt component :
Linux: 3 (3 on master)
Windows: 39 (39 on master)

products component :
Linux: 9 (9 on master)
Windows: 50 (50 on master)

Regressions:
No regressions

Improvements:
No improvements

Testing cases:
bugs fclasses(002) buc60724 - OK

Testing on Linux:
Total MEMORY difference: 237788836 / 239556232
Total CPU difference: 26351.670000000024 / 16224.229999999803

Testing on Windows:
Total MEMORY difference: 329543092 / 329772472
Total CPU difference: 15428.171875 / 15301.046875

There are not serious differences in images found by testdiff.

- Related Changesets
occt: master 5cbfdb41
Timestamp: 2013-03-01 10:12:08
Author: omy
Details ] Diff ]
0023533: Unitialized variables used, IntTools_TopolTool.cxx

Also contains fixes for:

0023534: Unitialized variables used, ShapeAnalysis_TransferParameters.cxx
0023537: Uninitialized variable: MaxUserColor
0023538: Memory leak: cdata
0023557: V547 Expression 'as1.ToCString() != ""' is always true. To compare strings you should use strcmp() function. qabugs_3.cxx,
DRAW command for test bugs fclasses buc60724 corrected; test is OK now
mod - src/IntTools/IntTools_TopolTool.cxx Diff ] File ]
mod - src/QABugs/QABugs_3.cxx Diff ] File ]
mod - src/ShapeAnalysis/ShapeAnalysis_TransferParameters.cxx Diff ] File ]
mod - src/Xw/Xw_ColorMap.cxx Diff ] File ]
mod - src/Xw/Xw_open_image.cxx Diff ] File ]
mod - tests/bugs/fclasses/buc60724 Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-11-09 15:33 Pawel New Issue
2012-11-09 15:33 Pawel Assigned To => bugmaster
2013-02-26 15:57 abv Assigned To bugmaster => omy
2013-02-26 15:57 abv Status new => assigned
2013-02-26 17:51 omy Relationship added parent of 0023534
2013-02-26 17:51 omy Relationship added parent of 0023538
2013-02-26 17:52 omy Relationship added parent of 0023557
2013-02-26 17:52 omy Relationship added parent of 0023537
2013-02-26 17:56 omy Note Added: 0023492
2013-02-26 17:56 omy Assigned To omy => abv
2013-02-26 17:56 omy Status assigned => resolved
2013-02-27 07:58 abv Note Added: 0023495
2013-02-27 07:58 abv Assigned To abv => bugmaster
2013-02-27 07:58 abv Status resolved => reviewed
2013-02-27 12:17 bugmaster Assigned To bugmaster => mkv
2013-02-28 15:14 mkv Note Added: 0023526
2013-02-28 15:15 mkv Test case number => bugs fclasses(002) buc60724
2013-02-28 15:15 mkv Assigned To mkv => bugmaster
2013-02-28 15:15 mkv Status reviewed => tested
2013-03-04 17:32 omy Changeset attached => occt master 5cbfdb41
2013-03-04 17:32 omy Assigned To bugmaster => omy
2013-03-04 17:32 omy Status tested => verified
2013-03-04 17:32 omy Resolution open => fixed
2013-04-23 13:35 user533 Status verified => closed
2013-04-29 15:23 user533 Fixed in Version => 6.6.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker